uuid: 4a84f94b-2108-4169-85ca-a82c9c4b43ea
langcode: en
status: true
dependencies: {  }
id: upgrade_block_content_body_field
class: Drupal\migrate\Plugin\Migration
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 6'
  - 'Drupal 7'
  - Configuration
migration_group: migrate_drupal_7
label: 'Block content body field configuration'
source:
  plugin: embedded_data
  data_rows:
    -
      entity_type: block_content
      bundle: basic
      field_name: body
      label: Body
      display_summary: false
  ids:
    entity_type:
      type: string
    bundle:
      type: string
    field_name:
      type: string
  source_module: block
process:
  entity_type:
    -
      plugin: get
      source: entity_type
  bundle:
    -
      plugin: get
      source: bundle
  field_name:
    -
      plugin: get
      source: field_name
  label:
    -
      plugin: get
      source: label
  settings/display_summary:
    -
      plugin: get
      source: display_summary
destination:
  plugin: 'entity:field_config'
migration_dependencies:
  required:
    - upgrade_block_content_type
  optional: {  }
